%{?nodejs_find_provides_and_requires}

%global packagename opal-runtime
%global enable_tests 1

Name:		nodejs-opal-runtime
Version:	1.0.3
Release:	3%{?dist}
Summary:	Opal Runtime

License:	MIT
URL:		https://github.com/mogztter/opal-node-runtime.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(glob)
BuildRequires:	npm(xmlhttprequest)

%if 0%{?enable_tests}
BuildRequires:	jasmine-node
%endif

%description
Opal Runtime


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js src/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/jasmine-node --verbose spec/
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Apr 24 2018 Jared K. Smith <jsmith@fedoraproject.org> - 1.0.3-1
- Initial packaging
